#
# spec file for package libcec2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Guillaume GARDET <guillaume@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without enable_rpi_build

Name:           libcec2
Version:        2.1.3
Release:        4.8
Summary:        Libcec - Control your device with your TV remote control via HDMI
Group:          Hardware/TV
Url:            https://github.com/Pulse-Eight/libcec
Source0:        libcec-%{version}.tar.gz
Patch0:         configure.ac.diff
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config automake libtool autoconf gcc-c++
BuildRequires:  lockdev-devel libudev-devel
%ifarch armv6l armv6hl
%if %{with enable_rpi_build}
BuildRequires:  raspberrypi-gfx-devel
%endif
%endif

%description
libCEC allows you in combination with the right hardware to control your device with your TV remote control. Utilising your existing HDMI cabling.
libCEC is an enabling platform for the CEC bus in HDMI, it allows developers to interact with other HDMI devices without having to worry about the communication overhead, handshaking, and the various ways of sending a message for each vendor.

%package devel
Summary:        Libcec - Devel package
Group:          Development/Libraries/Other
Requires:       libcec2 = %{version}

%description devel
This is the devel package of libcec.

%prep
%setup -q -n libcec-%{version}
%ifarch armv6l armv6hl
%if %{with enable_rpi_build}
%patch0 -p0
%endif
%endif

%build
./bootstrap
%configure \
  --disable-static \
%ifarch %arm
  --disable-tda995x \
%endif
%ifarch armv6l armv6hl
%if %{with enable_rpi_build}
    --enable-rpi \
    --with-rpi-include-path="/opt/vc/include" \
    --with-rpi-lib-path="/opt/vc/lib" \
    CFLAGS="$CFLAGS -I/opt/vc/include/interface/vmcs_host/linux"
%else
    --disable-rpi
%endif
%else
    --disable-rpi
%endif
make %{?_smp_mflags}

%install
%make_install
rm %{buildroot}%{_libdir}/libcec.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/cec-client
%{_libdir}/libcec.so.2
%{_libdir}/libcec.so.2.0.1


%files devel
%defattr(-,root,root)
%dir %{_includedir}/libcec/
%{_includedir}/libcec/cec.h
%{_includedir}/libcec/cecc.h
%{_includedir}/libcec/cecloader.h
%{_includedir}/libcec/cectypes.h
%{_libdir}/pkgconfig/libcec.pc
%{_libdir}/libcec.so

%changelog
* Mon Sep 16 2013 guillaume@opensuse.org
- Remove old tar.gz from 2.1.1 version
* Tue Sep  3 2013 guillaume@opensuse.org
- Cleanup for submition to devel project:
  * clean section removed
  * --disable-static option added and remove libcec.la
  * make use of paralel build: "make %%{?_smp_mflags}"
* Mon Aug 26 2013 guillaume@opensuse.org
- Add '%%bcond_with enable_rpi_build' for armv6
* Mon Aug 26 2013 guillaume@opensuse.org
- Update to v2.1.3
* Thu Mar 21 2013 guillaume@opensuse.org
- Update to v2.1.1
* Tue Dec 11 2012 guillaume@opensuse.org
- Update to v2.0.5 (repacked version)
* Fri Oct 19 2012 guillaume@opensuse.org
- Initial Release (v2.0.4)
